# Mylibrary.bookshelves: list

Retrieves a list of bookshelves belonging to the authenticated user.
[Try it now](https://developers.google.com/books/docs/v1/reference/mylibrary/bookshelves/list#try-it).

## Request

### HTTP Request

```
GET https://www.googleapis.com/books/v1/mylibrary/bookshelves
```

### Parameters

| Parameter Name | Value | Description |
|---|---|---|
| **Optional Parameters** |||
| `source` | `string` | String to identify the originator of this request. |

### Request Body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "books#bookshelves",
  "items": [
    bookshelves Resource
  ]
}
```

| Property Name | Value | Description | Notes |
|---|---|---|---|
| `kind` | `string` | Resource type. |   |
| `items[]` | `list` | A list of bookshelves. |   |

## Try It!


Use the explorer below to call this method on live data and see the response.